<?php

namespace QUI\CmsImport\Entities;

use QUI;

/**
 * Class ImportProject
 *
 * Represents a QUIQQER project that is imported
 */
class ImportProject extends AbstractImportEntity
{
    /**
     * @var string
     */
    protected string $name;

    /**
     * @var string
     */
    protected string $lang;

    /**
     * ImportProject constructor.
     *
     * @param string|int $identifier - Project identifier
     * @param string $name - Project name
     * @param array $attributes (optional) - Additional attributes
     */
    public function __construct(int | string $identifier, string $name, array $attributes = [])
    {
        $this->identifier = $identifier;
        $this->name = $name;

        $this->setAttributes($attributes);
        parent::__construct($identifier);
    }

    /**
     * @return int|string
     */
    public function getIdentifier(): int | string
    {
        return $this->identifier;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * Get the import section the ImportEntity belongs to
     *
     * @return string
     */
    public function getImportSection(): string
    {
        return QUI\CmsImport\Import::IMPORT_SECTION_PROJECTS;
    }
}
